Xerces-C++: DOMImplementationRegistry Class Reference

Xerces-C++ 3.2.2

List of all members
DOMImplementationRegistry Class Reference

## Static Public Member Functions
Functions introduced in DOM Level 3
static DOMImplementation * | getDOMImplementation (const XMLCh *features)
| Return the first registered implementation that has the desired features, or null if none is found. More...
static DOMImplementationList * | getDOMImplementationList (const XMLCh *features)
| Return the list of registered implementation that have the desired features. More...
static void | addSource (DOMImplementationSource *source)
| Register an implementation. More...

## Member Function Documentation

## ◆ addSource()

static void DOMImplementationRegistry::addSource | ( | DOMImplementationSource * | source | ) |
| static

Register an implementation.

Parameters

  source | A DOMImplementation Source object to be added to the registry. The registry does NOT adopt the source object. Users still own it.

Since
  DOM Level 3

## ◆ getDOMImplementation()

static DOMImplementation* DOMImplementationRegistry::getDOMImplementation | ( | const XMLCh * | features | ) |
| static

Return the first registered implementation that has the desired features, or null if none is found.

Parameters

  features | A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal 2.0"

Returns
  An implementation that has the desired features, or `null` if this source has none.

Since
  DOM Level 3

## ◆ getDOMImplementationList()

static DOMImplementationList* DOMImplementationRegistry::getDOMImplementationList | ( | const XMLCh * | features | ) |
| static

Return the list of registered implementation that have the desired features.

Parameters

  features | A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal 2.0"

Returns
  A DOMImplementationList object that contains the DOMImplementation that have the desired features

Since
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMImplementationRegistry.hpp